--- title: "createCloudPostgresqlReadReplicaInstance" slug: "database-vpostgresql-createcloudpostgresqlreadreplicainstance" tags: ["Cloud DB for PostgreSQL"] updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vpostgresql-createcloudpostgresqlreadreplicainstance" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # createCloudPostgresqlReadReplicaInstance Available in VPC Create a read replica server instance to a Cloud DB for PostgreSQL instance. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vpostgresql/v2/createCloudPostgresqlReadReplicaInstance | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for PostgreSQL (VPC) APIs, see [Cloud DB for PostgreSQL (VPC) request headers](/docs/en/database-vpostgresql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - Region code of the Cloud DB for PostgreSQL instance for which you want to create a read replica server instance - Check through [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `cloudPostgresqlInstanceNo` | String | Required | Cloud DB for PostgreSQL instance number - Check through [getCloudPostgresqlInstanceList](/docs/en/database-vpostgresql-getcloudpostgresqlinstancelist) | | `subnetNo` | String | Conditional | Subnet number of the default network interface to be used in the Cloud DB for PostgreSQL instance - Check through [getCloudPostgresqlTargetSubnetList](/docs/en/database-vpostgresql-getcloudpostgresqltargetsubnetlist) - Required for a Cloud DB for PostgreSQL instance configured with multi-zone (`isMultiZone=true`) - For a Cloud DB for PostgreSQL instance whose multi-zone is not configured (`isMultiZone=false`), the `subnetNo` entry is ignored and it is created in the existing subnetNo - Subnet migrations are not available after creating the Cloud DB for PostgreSQL read replica instance | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vpostgresql/v2/createCloudPostgresqlReadReplicaInstance ?regionCode=KR &cloudPostgresqlInstanceNo=****925 &subnetNo=****51' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [CloudPostgresqlInstanceList](/docs/en/common-vapidatatype-cloudpostgresqlinstancelist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for PostgreSQL (VPC) APIs, see [Cloud DB for PostgreSQL (VPC) response status codes](/docs/en/database-vpostgresql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. - If `responseFormatType=json` ``` { "createCloudPostgresqlReadReplicaInstanceResponse": { "totalRows": 1, "cloudPostgresqlInstanceList": [ { "cloudPostgresqlInstanceNo": "****925", "cloudPostgresqlServiceName": "test-****", "cloudPostgresqlInstanceStatusName": "running", "cloudPostgresqlInstanceStatus": { "code": "CREAT", "codeName": "CLOUD DATABASE(VPC) Created State" }, "cloudPostgresqlInstanceOperation": { "code": "NULL", "codeName": "CLOUD DATABASE(VPC) Null OP" }, "cloudPostgresqlImageProductCode": "SW.VPGSL.OS.LNX64.CNTOS.0708.PGSQL.133.B050", "engineVersion": "PostgreSQL 13.3", "generationCode": "G2", "license": "PostgreSQL License", "cloudPostgresqlPort": 15432, "isHa": true, "isMultiZone": true, "isBackup": true, "backupFileRetentionPeriod": 10, "backupTime": "02:00", "createDate": "2024-06-03T10:47:11+0900", "accessControlGroupNoList": [ "180946" ], "cloudPostgresqlConfigList": [ "sample_config=sample_value" ], "cloudPostgresqlServerInstanceList": [ { "cloudPostgresqlServerInstanceNo": "****926", "cloudPostgresqlServerName": "test-****-001-523a", "cloudPostgresqlServerRole": { "code": "M", "codeName": "Primary" }, "cloudPostgresqlServerInstanceStatusName": "running", "cloudPostgresqlServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE(VPC) Server Running State" }, "cloudPostgresqlServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE(VPC) Server Null OP" }, "cloudPostgresqlProductCode": "SVR.VPGSL.DBSVR.STAND.C002.M008.NET.SSD.B050.G002", "regionCode": "KR", "zoneCode": "KR-1", "vpcNo": "****87", "subnetNo": "****49", "isPublicSubnet": true, "privateDomain": "pg-****.vpc-cdb-kr.ntruss.com", "privateIp": "***.***.***.***", "dataStorageType": { "code": "SSD", "codeName": "SSD" }, "isStorageEncryption": true, "dataStorageSize": 10737418240, "usedDataStorageSize": 142819911, "cpuCount": 2, "memorySize": 8589934592, "uptime": "2024-06-03T10:54:38+0900", "createDate": "2024-06-03T10:47:11+0900" }, { "cloudPostgresqlServerInstanceNo": "****932", "cloudPostgresqlServerName": "test-****-002-523b", "cloudPostgresqlServerRole": { "code": "H", "codeName": "Secondary" }, "cloudPostgresqlServerInstanceStatusName": "running", "cloudPostgresqlServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE(VPC) Server Running State" }, "cloudPostgresqlServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE(VPC) Server Null OP" }, "cloudPostgresqlProductCode": "SVR.VPGSL.DBSVR.STAND.C002.M008.NET.SSD.B050.G002", "regionCode": "KR", "zoneCode": "KR-2", "vpcNo": "****87", "subnetNo": "****51", "isPublicSubnet": true, "privateDomain": "pg-****.vpc-cdb-kr.ntruss.com", "privateIp": "***.***.***.***", "dataStorageType": { "code": "SSD", "codeName": "SSD" }, "isStorageEncryption": true, "dataStorageSize": 10737418240, "usedDataStorageSize": 92188723, "cpuCount": 2, "memorySize": 8589934592, "uptime": "2024-06-03T10:54:38+0900", "createDate": "2024-06-03T10:47:11+0900" }, { "cloudPostgresqlServerName": "test-****-003-5257", "cloudPostgresqlServerRole": { "code": "S", "codeName": "Read Replica" }, "cloudPostgresqlServerInstanceStatusName": "creating", "cloudPostgresqlServerInstanceStatus": { "code": "PEND", "codeName": "CLOUD DATABASE(VPC) Server Pending State" }, "cloudPostgresqlServerInstanceOperation": { "code": "CREAT", "codeName": "CLOUD DATABASE(VPC) Server Create OP" }, "cloudPostgresqlProductCode": "SVR.VPGSL.DBSVR.STAND.C002.M008.NET.SSD.B050.G002", "regionCode": "KR", "zoneCode": "KR-2", "vpcNo": "****87", "subnetNo": "****51", "isPublicSubnet": true, "privateIp": "***.***.***.***", "dataStorageType": { "code": "SSD", "codeName": "SSD" }, "isStorageEncryption": true, "dataStorageSize": 10737418240, "cpuCount": 2, "memorySize": 8589934592, "createDate": "2024-06-03T13:32:57+0900" } ] } ], "requestId": "435bac03-****-****-****-2f5f39f3245e", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 435bac03-****-****-****-2f5f39f3245e 0 success 1 ****925 test-**** running CREAT CLOUD DATABASE(VPC) Created State NULL CLOUD DATABASE(VPC) Null OP SW.VPGSL.OS.LNX64.CNTOS.0708.PGSQL.133.B050 PostgreSQL 13.3 G2 PostgreSQL License 15432 true true true 10 02:00 2024-06-03T10:47:11+0900 ****48 sample_config=sample_value ****926 test-****-001-523a M Primary running RUN CLOUD DATABASE(VPC) Server Running State NOOP CLOUD DATABASE(VPC) Server Null OP SVR.VPGSL.DBSVR.STAND.C002.M008.NET.SSD.B050.G002 KR KR-1 ****87 ****49 true pg-****.vpc-cdb-kr.ntruss.com ***.***.***.*** SSD SSD true 10737418240 117703804 2 8589934592 2024-06-03T10:54:38+0900 2024-06-03T10:47:11+0900 ****932 test-****-002-523b H Secondary running RUN CLOUD DATABASE(VPC) Server Running State NOOP CLOUD DATABASE(VPC) Server Null OP SVR.VPGSL.DBSVR.STAND.C002.M008.NET.SSD.B050.G002 KR KR-2 ****87 ****51 true pg-****.vpc-cdb-kr.ntruss.com ***.***.***.*** SSD SSD true 10737418240 67226304 2 8589934592 2024-06-03T10:54:56+0900 2024-06-03T10:47:11+0900 test-****-003-5257 S Read Replica creating PEND CLOUD DATABASE(VPC) Server Pending State CREAT CLOUD DATABASE(VPC) Server Create OP SVR.VPGSL.DBSVR.STAND.C002.M008.NET.SSD.B050.G002 KR KR-2 ****87 ****51 true ***.***.***.*** SSD SSD true 10737418240 2 8589934592 2024-06-03T13:32:57+0900 ```